package com.atlassian.confluence.extra.workflow;

import com.atlassian.user.User;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 13/05/2005
 * Time: 15:59:34
 * To change this template use File | Settings | File Templates.
 */
public class RemoveSingleAssignmentAction extends AssignmentAction
{
    public RemoveSingleAssignmentAction()
    {
        super(null);
    }

    public RemoveSingleAssignmentAction(String role)
    {
        super(role);
    }

    public void perform(WorkflowClient client, User user)
    {
        client.unsetValue(getAssignmentKey());
    }

    public String getDescription()
    {
        return "Remove any assignment to the role '" + getRole() + "'";
    }
}
